%define oname   rdoc
%define bootstrap 0

Name:       ruby-%{oname}
Version:    4.2.1
Release:    %mkrel 1
Summary:    RDoc produces HTML and command-line documentation for Ruby projects
Group:      Development/Ruby
License:    Ruby License
URL:        http://rdoc.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-json
Requires: ruby-irb
BuildArch:  noarch
Conflicts:  ruby < 1.9.3

%description
RDoc produces HTML and command-line documentation for Ruby projects.  RDoc
includes the +rdoc+ and +ri+ tools for generating and displaying online
documentation. See RDoc for a description of RDoc's markup and basic use.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%if !%bootstrap
%gem_install
%else
%{_bindir}/gem install %{__ruby_module_name}-%{version}.gem --local \
	--env-shebang --no-rdoc --no-ri --force --ignore-dependencies \
	--install-dir %{buildroot}%{gem_dir} \
	--bindir %{buildroot}%{_bindir}
rm -fr %{buildroot}%{gem_dir}/{cache,gems/%{__ruby_module_name}-%{version}/ext,gems/%{__ruby_module_name}-%{version}/%{__ruby_module_name}.gemspec}
find %{buildroot}%{gem_instdir} -maxdepth 1 -type f -delete
%endif

%files
%{_bindir}/*
%{gem_instdir}/
%{gem_spec}

%files          doc
%if !%bootstrap
%doc %{gem_docdir}
%endif
%doc *.rdoc
%doc Manifest.txt
%doc Rakefile


%changelog
* Fri Jan 08 2016 luigiwalser <luigiwalser> 4.2.1-1.mga6
+ Revision: 920554
- 4.2.1

* Sat Oct 24 2015 pterjan <pterjan> 4.2.0-9.mga6
+ Revision: 894848
- Update to 4.2.0

* Wed Oct 15 2014 umeabot <umeabot> 4.0.1-9.mga5
+ Revision: 741924
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.1-8.mga5
+ Revision: 688927
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 4.0.1-7.mga4
+ Revision: 562426
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 4.0.1-6.mga4
+ Revision: 535231
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 4.0.1-5.mga4
+ Revision: 481736
- Drop _requires_exceptions

* Fri Sep 20 2013 pterjan <pterjan> 4.0.1-4.mga4
+ Revision: 481712
- Disable ruby-abi dependency for ruby 2 transition

* Sun Sep 15 2013 pterjan <pterjan> 4.0.1-3.mga4
+ Revision: 479027
- Fix file list
- Use gem_setup
- Disable bootstrap

  + fwang <fwang>
    - correct switch
    - correct switch
    - build bootstrap for ruby 2.0

* Sun Jun 02 2013 pterjan <pterjan> 4.0.1-1.mga4
+ Revision: 435440
- Update to 4.0.1

* Fri Feb 08 2013 umeabot <umeabot> 3.12.1-2.mga3
+ Revision: 396377
- Rebuild for CVE-2013-0256

* Wed Feb 06 2013 fwang <fwang> 3.12.1-1.mga3
+ Revision: 394879
- update file list
- new version 3.12.1

* Mon Jan 14 2013 umeabot <umeabot> 3.12-5.mga3
+ Revision: 381348
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 3.12-4.mga3
+ Revision: 313224
- add back bin files

* Thu Nov 01 2012 fwang <fwang> 3.12-3.mga3
+ Revision: 312077
- requires on irb/slex for runtime

* Thu Nov 01 2012 fwang <fwang> 3.12-2.mga3
+ Revision: 311987
- rebuild for new ruby

* Tue Aug 14 2012 shlomif <shlomif> 3.12-1.mga3
+ Revision: 281290
- New version 3.12

* Thu Jun 07 2012 solbu <solbu> 3.6.1-1.mga3
+ Revision: 256728
- New version
- Spec cleanup

* Fri Apr 01 2011 shikamaru <shikamaru> 3.5.3-1.mga1
+ Revision: 79476
- new version 3.5.3

* Sat Jan 29 2011 shikamaru <shikamaru> 3.4-1.mga1
+ Revision: 43649
- imported package ruby-rdoc

